%define majver %(echo %version | cut -d. -f 1-2)
%define libver      4.0
%define binver      4.0.0

Name:          libgtk
Version:       4.16.1
Release:       1mamba
Summary:       The GIMP ToolKit (GTK+), a library for creating GUIs
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://gtk.org/
Source0:       https://download.gnome.org/sources/gtk/%{majver}/gtk-%{version}.tar.xz
License:       LGPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: gst-plugins-bad-devel
BuildRequires: libX11-devel
BuildRequires: libXcursor-devel
BuildRequires: libXdamage-devel
BuildRequires: libXext-devel
BuildRequires: libXfixes-devel
BuildRequires: libXi-devel
BuildRequires: libXinerama-devel
BuildRequires: libXrandr-devel
BuildRequires: libcairo-devel
BuildRequires: libcolord-devel
BuildRequires: libcups-devel
BuildRequires: libepoxy-devel
BuildRequires: libfontconfig-devel
BuildRequires: libfribidi-devel
BuildRequires: libgdk-pixbuf-devel
BuildRequires: libglib-devel
BuildRequires: libgraphene-devel
BuildRequires: libgst-plugins-base-devel
BuildRequires: libgstreamer-devel
BuildRequires: libharfbuzz-devel
BuildRequires: libjpeg-devel
BuildRequires: libpango-devel
BuildRequires: libpng-devel
BuildRequires: librsvg-devel
BuildRequires: libtiff-devel
BuildRequires: libvulkan-devel
BuildRequires: libwayland-devel
BuildRequires: libwayland-egl-devel
BuildRequires: libxkbcommon-devel
## AUTOBUILDREQ-END
BuildRequires: bash
BuildRequires: binutils
BuildRequires: colord-devel
BuildRequires: coreutils
BuildRequires: glib-dconf
BuildRequires: gettext-devel
BuildRequires: glib-gettextize
BuildRequires: glib-tools
BuildRequires: gobject-introspection-devel
BuildRequires: libkeyutils-devel
BuildRequires: libgcrypt-devel
BuildRequires: libglitz-devel
BuildRequires: libgnutls-devel
BuildRequires: libgpg-error-devel
BuildRequires: libjasper-devel
BuildRequires: libjpeg-devel
BuildRequires: libtasn1-devel
BuildRequires: libtiff-devel
BuildRequires: libat-spi2-atk-devel
BuildRequires: pkgconfig
BuildRequires: shaderc
BuildRequires: wayland-protocols
Requires(post):libglib
Requires(post):libgdk-pixbuf
Requires:      shared-mime-info

%description
The gtk+ package contains the GIMP ToolKit (GTK+), a library for creating graphical user interfaces for the X Window System.
GTK+ was originally written for the GIMP (GNU Image Manipulation Program) image processing program, but is now used by several other programs as well.
If you are planning on using the GIMP or another program that uses GTK+, you'll need to have the gtk+ package installed.

%package devel
Summary:       Devel package for GTK+
Group:         Development/Libraries
Requires:      pkgconfig
Requires:      libglib-devel
Requires:      libatk-devel
Requires:      libcairo-devel
Requires:      libpango-devel
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description devel
The gtk+ package contains the GIMP ToolKit (GTK+), a library for creating graphical user interfaces for the X Window System.
GTK+ was originally written for the GIMP (GNU Image Manipulation Program) image processing program, but is now used by several other programs as well.
If you are planning on using the GIMP or another program that uses GTK+, you'll need to have the gtk+ package installed.
This package contains static libraries and header files needed for development.

%package apidocs
Summary:       libgtk API documentation
Group:         Documentation
Requires:      gtk-doc

%description apidocs
gtk+ API documentation.

%debug_package

%prep
%setup -q -n gtk-%{version}

%build
%meson \
   -Dx11-backend=true \
   -Dwayland-backend=true \
   -Dmedia-gstreamer=enabled \
   -Dprint-cups=enabled \
   -Dvulkan=enabled \
   -Dcolord=enabled \
   -Dman-pages=true \
   -Dintrospection=enabled

#   -Dmedia-ffmpeg=enabled \
#   -Dgtk_doc=true \

%meson_build

%install
[ "%{buildroot}" != / ] && rm -rf %{buildroot}
%meson_install

install -d %{buildroot}%{_sysconfdir}/gtk-%{libver}

touch %{buildroot}%{_libdir}/gtk-%{libver}/%{binver}/immodules.cache

rm -rf %{buildroot}%{_mandir}/man1/gtk-update-icon-cache.1*

%find_lang %{name} --all-name

%clean
[ "%{buildroot}" != / ] && rm -rf %{buildroot}


%files -f %{name}.lang
%defattr(-,root,root)
%dir %{_sysconfdir}/gtk-%{libver}
%{_bindir}/gtk4-launch
%{_bindir}/gtk4-update-icon-cache
%{_bindir}/gtk4-query-settings
%{_libdir}/libgtk-*.so.*
%dir %{_libdir}/gtk-%{libver}
%dir %{_libdir}/gtk-%{libver}/%{binver}
%ghost %{_libdir}/gtk-%{libver}/%{binver}/immodules.cache
%{_libdir}/gtk-%{libver}/%{binver}/media/libmedia-gstreamer.so
%dir %{_libdir}/gtk-%{libver}/%{binver}/printbackends
%{_libdir}/gtk-%{libver}/%{binver}/printbackends/libprintbackend-*.so
%{_libdir}/girepository-1.0/Gdk-%{libver}.typelib
%{_libdir}/girepository-1.0/GdkX11-%{libver}.typelib
%{_libdir}/girepository-1.0/Gtk-%{libver}.typelib
%{_libdir}/girepository-1.0/GdkWayland-%{libver}.typelib
%{_libdir}/girepository-1.0/Gsk-%{libver}.typelib
%{_datadir}/glib-2.0/schemas/org.gtk.Demo4.gschema.xml
%{_datadir}/glib-2.0/schemas/org.gtk.gtk4.Settings.ColorChooser.gschema.xml
%{_datadir}/glib-2.0/schemas/org.gtk.gtk4.Settings.Debug.gschema.xml
%{_datadir}/glib-2.0/schemas/org.gtk.gtk4.Settings.EmojiChooser.gschema.xml
%{_datadir}/glib-2.0/schemas/org.gtk.gtk4.Settings.FileChooser.gschema.xml
%dir %{_datadir}/gtk-%{libver}/emoji
%lang(bn) %{_datadir}/gtk-%{libver}/emoji/bn.gresource
%lang(da) %{_datadir}/gtk-%{libver}/emoji/da.gresource
%lang(de) %{_datadir}/gtk-%{libver}/emoji/de.gresource
%lang(es) %{_datadir}/gtk-%{libver}/emoji/es.gresource
%lang(et) %{_datadir}/gtk-%{libver}/emoji/et.gresource
%lang(fi) %{_datadir}/gtk-%{libver}/emoji/fi.gresource
%lang(fr) %{_datadir}/gtk-%{libver}/emoji/fr.gresource
%lang(hi) %{_datadir}/gtk-%{libver}/emoji/hi.gresource
%lang(hu) %{_datadir}/gtk-%{libver}/emoji/hu.gresource
%lang(it) %{_datadir}/gtk-%{libver}/emoji/it.gresource
%lang(ja) %{_datadir}/gtk-%{libver}/emoji/ja.gresource
%lang(ko) %{_datadir}/gtk-%{libver}/emoji/ko.gresource
%lang(lt) %{_datadir}/gtk-%{libver}/emoji/lt.gresource
%lang(ms) %{_datadir}/gtk-%{libver}/emoji/ms.gresource
%lang(nb) %{_datadir}/gtk-%{libver}/emoji/nb.gresource
%lang(nl) %{_datadir}/gtk-%{libver}/emoji/nl.gresource
%lang(pl) %{_datadir}/gtk-%{libver}/emoji/pl.gresource
%lang(pt) %{_datadir}/gtk-%{libver}/emoji/pt.gresource
%lang(ru) %{_datadir}/gtk-%{libver}/emoji/ru.gresource
%lang(sv) %{_datadir}/gtk-%{libver}/emoji/sv.gresource
%lang(uk) %{_datadir}/gtk-%{libver}/emoji/uk.gresource
%lang(th) %{_datadir}/gtk-%{libver}/emoji/th.gresource
%lang(zh) %{_datadir}/gtk-%{libver}/emoji/zh.gresource
%{_datadir}/gtk-%{libver}/gtk4builder.rng
%{_datadir}/gtk-%{libver}/valgrind/gtk.supp
%{_mandir}/man1/gtk4-launch.1*
%{_mandir}/man1/gtk4-query-settings.1*
%{_mandir}/man1/gtk4-update-icon-cache.1*
%doc AUTHORS COPYING

%files devel
%defattr(-,root,root)
%{_bindir}/gtk4-builder-tool
%{_bindir}/gtk4-encode-symbolic-svg
%{_bindir}/gtk4-demo
%{_bindir}/gtk4-demo-application
%{_bindir}/gtk4-icon-browser
%{_bindir}/gtk4-image-tool
%{_bindir}/gtk4-node-editor
%{_bindir}/gtk4-path-tool
%{_bindir}/gtk4-print-editor
%{_bindir}/gtk4-rendernode-tool
%{_bindir}/gtk4-widget-factory
%dir %{_includedir}/gtk-%{libver}
%dir %{_includedir}/gtk-%{libver}/gsk
%{_includedir}/gtk-%{libver}/gsk/*.h
%dir %{_includedir}/gtk-%{libver}/gsk/gl
%{_includedir}/gtk-%{libver}/gsk/gl/*
%dir %{_includedir}/gtk-%{libver}/gsk/gpu
%{_includedir}/gtk-%{libver}/gsk/gpu/*
%dir %{_includedir}/gtk-%{libver}/gtk
%{_includedir}/gtk-%{libver}/gtk/*.h
%dir %{_includedir}/gtk-%{libver}/gtk/a11y
%{_includedir}/gtk-%{libver}/gtk/a11y/*
%dir %{_includedir}/gtk-%{libver}/gtk/css
%{_includedir}/gtk-%{libver}/gtk/css/*
%dir %{_includedir}/gtk-%{libver}/gtk/deprecated
%{_includedir}/gtk-%{libver}/gtk/deprecated/*.h
%dir %{_includedir}/gtk-%{libver}/gtk/print
%{_includedir}/gtk-%{libver}/gtk/print/*
%dir %{_includedir}/gtk-%{libver}/unix-print
%{_includedir}/gtk-%{libver}/unix-print/*
%dir %{_includedir}/gtk-%{libver}/gdk
%{_includedir}/gtk-%{libver}/gdk/*.h
%dir %{_includedir}/gtk-%{libver}/gdk/deprecated
%{_includedir}/gtk-%{libver}/gdk/deprecated/*
%dir %{_includedir}/gtk-%{libver}/gdk/version
%{_includedir}/gtk-%{libver}/gdk/version/*
%dir %{_includedir}/gtk-%{libver}/gdk/wayland
%{_includedir}/gtk-%{libver}/gdk/wayland/*.h
%dir %{_includedir}/gtk-%{libver}/gdk/x11
%{_includedir}/gtk-%{libver}/gdk/x11/*.h
%{_libdir}/libgtk-4.so
%{_datadir}/gir-1.0/Gdk-%{libver}.gir
%{_datadir}/gir-1.0/GdkX11-%{libver}.gir
%{_datadir}/gir-1.0/Gtk-%{libver}.gir
%{_datadir}/gir-1.0/GdkWayland-%{libver}.gir
%{_datadir}/gir-1.0/Gsk-%{libver}.gir
%{_datadir}/gettext/its/gtk4builder.its
%{_datadir}/gettext/its/gtk4builder.loc
%{_datadir}/applications/org.gtk.Demo4.desktop
%{_datadir}/applications/org.gtk.IconBrowser4.desktop
%{_datadir}/applications/org.gtk.PrintEditor4.desktop
%{_datadir}/applications/org.gtk.WidgetFactory4.desktop
%{_datadir}/applications/org.gtk.gtk4.NodeEditor.desktop
%{_datadir}/icons/hicolor/scalable/apps/org.gtk.Demo4.svg
%{_datadir}/icons/hicolor/scalable/apps/org.gtk.IconBrowser4.svg
%{_datadir}/icons/hicolor/scalable/apps/org.gtk.PrintEditor4.Devel.svg
%{_datadir}/icons/hicolor/scalable/apps/org.gtk.PrintEditor4.svg
%{_datadir}/icons/hicolor/scalable/apps/org.gtk.WidgetFactory4.svg
%{_datadir}/icons/hicolor/scalable/apps/org.gtk.gtk4.NodeEditor*.svg
%{_datadir}/icons/hicolor/symbolic/apps/org.gtk.Demo4-symbolic.svg
%{_datadir}/icons/hicolor/symbolic/apps/org.gtk.IconBrowser4-symbolic.svg
%{_datadir}/icons/hicolor/symbolic/apps/org.gtk.PrintEditor4-symbolic.svg
%{_datadir}/icons/hicolor/symbolic/apps/org.gtk.WidgetFactory4-symbolic.svg
%{_datadir}/icons/hicolor/symbolic/apps/org.gtk.gtk4.NodeEditor-symbolic.svg
%{_datadir}/metainfo/org.gtk.Demo4.appdata.xml
%{_datadir}/metainfo/org.gtk.IconBrowser4.appdata.xml
%{_datadir}/metainfo/org.gtk.PrintEditor4.appdata.xml
%{_datadir}/metainfo/org.gtk.WidgetFactory4.appdata.xml
%{_datadir}/metainfo/org.gtk.gtk4.NodeEditor.appdata.xml
%{_libdir}/pkgconfig/gtk4.pc
%{_libdir}/pkgconfig/gtk4-atspi.pc
%{_libdir}/pkgconfig/gtk4-unix-print.pc
%{_libdir}/pkgconfig/gtk4-wayland.pc
%{_libdir}/pkgconfig/gtk4-x11.pc
%{_mandir}/man1/gtk4-broadwayd.1*
%{_mandir}/man1/gtk4-builder-tool.1*
%{_mandir}/man1/gtk4-demo-application.1*
%{_mandir}/man1/gtk4-demo.1*
%{_mandir}/man1/gtk4-encode-symbolic-svg.1*
%{_mandir}/man1/gtk4-icon-browser.1*
%{_mandir}/man1/gtk4-image-tool.1*
%{_mandir}/man1/gtk4-node-editor.1*
%{_mandir}/man1/gtk4-path-tool.1*
%{_mandir}/man1/gtk4-rendernode-tool.1*
%{_mandir}/man1/gtk4-widget-factory.1*
#%doc ChangeLog HACKING NEWS README

%changelog
* Sat Sep 14 2024 Automatic Build System <autodist@openmamba.org> 4.16.1-1mamba
- automatic version update by autodist

* Sun Sep 08 2024 Automatic Build System <autodist@openmamba.org> 4.16.0-1mamba
- automatic version update by autodist

* Sat Aug 17 2024 Automatic Build System <autodist@openmamba.org> 4.14.5-1mamba
- automatic version update by autodist

* Sat May 04 2024 Automatic Build System <autodist@openmamba.org> 4.14.4-1mamba
- automatic version update by autodist

* Sun Apr 21 2024 Silvan Calarco <silvan.calarco@mambasoft.it> 4.14.3-2mamba
- remove %post operations implemented by gdk-pixbuf and glib triggers

* Fri Apr 19 2024 Automatic Build System <autodist@openmamba.org> 4.14.3-1mamba
- automatic version update by autodist

* Sat Apr 06 2024 Automatic Build System <autodist@openmamba.org> 4.14.2-1mamba
- automatic version update by autodist

* Sun Mar 17 2024 Automatic Build System <autodist@openmamba.org> 4.14.1-1mamba
- automatic version update by autodist

* Thu Mar 14 2024 Automatic Build System <autodist@openmamba.org> 4.14.0-1mamba
- automatic version update by autodist

* Fri Jan 19 2024 Automatic Build System <autodist@openmamba.org> 4.12.5-1mamba
- automatic version update by autodist

* Sat Nov 18 2023 Automatic Build System <autodist@mambasoft.it> 4.12.4-1mamba
- automatic version update by autodist

* Sun Oct 01 2023 Automatic Build System <autodist@mambasoft.it> 4.12.3-1mamba
- automatic version update by autodist

* Thu Sep 21 2023 Automatic Build System <autodist@mambasoft.it> 4.12.2-1mamba
- automatic version update by autodist

* Thu Aug 31 2023 Automatic Build System <autodist@mambasoft.it> 4.12.1-1mamba
- automatic version update by autodist

* Wed Mar 15 2023 Automatic Build System <autodist@mambasoft.it> 4.10.1-1mamba
- automatic version update by autodist

* Mon Mar 06 2023 Automatic Build System <autodist@mambasoft.it> 4.10.0-1mamba
- automatic version update by autodist

* Fri Dec 23 2022 Automatic Build System <autodist@mambasoft.it> 4.8.3-1mamba
- automatic version update by autodist

* Tue Oct 25 2022 Automatic Build System <autodist@mambasoft.it> 4.8.2-1mamba
- automatic version update by autodist

* Sat Sep 17 2022 Automatic Build System <autodist@mambasoft.it> 4.8.1-1mamba
- automatic version update by autodist

* Fri Sep 16 2022 Automatic Build System <autodist@mambasoft.it> 4.8.0-1mamba
- automatic version update by autodist

* Sat Aug 20 2022 Automatic Build System <autodist@mambasoft.it> 4.6.7-1mamba
- automatic version update by autodist

* Sun Jul 03 2022 Automatic Build System <autodist@mambasoft.it> 4.6.6-1mamba
- automatic version update by autodist

* Tue May 31 2022 Automatic Build System <autodist@mambasoft.it> 4.6.5-1mamba
- automatic version update by autodist

* Sat May 14 2022 Automatic Build System <autodist@mambasoft.it> 4.6.4-1mamba
- automatic version update by autodist

* Fri Apr 29 2022 Automatic Build System <autodist@mambasoft.it> 4.6.3-1mamba
- automatic version update by autodist

* Sun Mar 20 2022 Automatic Build System <autodist@mambasoft.it> 4.6.2-1mamba
- automatic version update by autodist

* Sat Feb 12 2022 Automatic Build System <autodist@mambasoft.it> 4.6.1-1mamba
- automatic version update by autodist

* Mon Jan 03 2022 Automatic Build System <autodist@mambasoft.it> 4.6.0-1mamba
- automatic version update by autodist

* Sat Nov 20 2021 Automatic Build System <autodist@mambasoft.it> 4.4.1-1mamba
- automatic version update by autodist

* Mon Aug 23 2021 Automatic Build System <autodist@mambasoft.it> 4.4.0-1mamba
- automatic version update by autodist

* Tue May 04 2021 Automatic Build System <autodist@mambasoft.it> 4.2.1-1mamba
- automatic version update by autodist

* Tue Mar 30 2021 Automatic Build System <autodist@mambasoft.it> 4.2.0-1mamba
- automatic version update by autodist

* Fri Mar 12 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 4.0.3-2mamba
- don't run missing gtk-query-immodules in post scripts

* Sun Mar 07 2021 Automatic Build System <autodist@mambasoft.it> 4.0.3-1mamba
- automatic version update by autodist

* Mon Jan 25 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 4.0.2-1mamba
- update to 4.0.2

* Sun Dec 06 2020 Automatic Build System <autodist@mambasoft.it> 3.24.24-1mamba
- automatic version update by autodist

* Fri Sep 04 2020 Automatic Build System <autodist@mambasoft.it> 3.24.23-1mamba
- automatic version update by autodist

* Tue Aug 11 2020 Automatic Build System <autodist@mambasoft.it> 3.24.22-1mamba
- automatic version update by autodist

* Mon Jun 29 2020 Automatic Build System <autodist@mambasoft.it> 3.24.21-1mamba
- automatic version update by autodist

* Mon Apr 27 2020 Automatic Build System <autodist@mambasoft.it> 3.24.20-1mamba
- automatic version update by autodist

* Fri Apr 10 2020 Automatic Build System <autodist@mambasoft.it> 3.24.18-1mamba
- automatic version update by autodist

* Tue Apr 07 2020 Automatic Build System <autodist@mambasoft.it> 3.24.17-1mamba
- automatic version update by autodist

* Tue Feb 18 2020 Automatic Build System <autodist@mambasoft.it> 3.24.14-1mamba
- automatic version update by autodist

* Thu Nov 28 2019 Automatic Build System <autodist@mambasoft.it> 3.24.13-1mamba
- automatic version update by autodist

* Sun Oct 27 2019 Automatic Build System <autodist@mambasoft.it> 3.24.12-1mamba
- automatic version update by autodist

* Wed Sep 04 2019 Automatic Build System <autodist@mambasoft.it> 3.24.11-1mamba
- automatic version update by autodist

* Thu Jul 04 2019 Automatic Build System <autodist@mambasoft.it> 3.24.10-1mamba
- automatic version update by autodist

* Thu Apr 11 2019 Automatic Build System <autodist@mambasoft.it> 3.24.8-1mamba
- automatic version update by autodist

* Wed Mar 13 2019 Automatic Build System <autodist@mambasoft.it> 3.24.7-1mamba
- automatic version update by autodist

* Tue Feb 05 2019 Automatic Build System <autodist@mambasoft.it> 3.24.5-1mamba
- automatic version update by autodist

* Mon Jan 21 2019 Automatic Build System <autodist@mambasoft.it> 3.24.4-1mamba
- automatic version update by autodist

* Tue Jan 15 2019 Automatic Build System <autodist@mambasoft.it> 3.24.3-1mamba
- automatic version update by autodist

* Fri Nov 02 2018 Automatic Build System <autodist@mambasoft.it> 3.24.1-1mamba
- automatic version update by autodist

* Sat Aug 11 2018 Automatic Build System <autodist@mambasoft.it> 3.22.30-1mamba
- automatic version update by autodist

* Tue Mar 13 2018 Automatic Build System <autodist@mambasoft.it> 3.22.29-1mamba
- automatic version update by autodist

* Sun Dec 24 2017 Automatic Build System <autodist@mambasoft.it> 3.22.26-1mamba
- automatic version update by autodist

* Thu Nov 16 2017 Automatic Build System <autodist@mambasoft.it> 3.22.9-1mamba
- automatic update by autodist

* Sat Dec 03 2016 Automatic Build System <autodist@mambasoft.it> 3.22.4-1mamba
- automatic version update by autodist

* Tue Nov 08 2016 Automatic Build System <autodist@mambasoft.it> 3.22.3-1mamba
- automatic version update by autodist

* Mon Oct 24 2016 Automatic Build System <autodist@mambasoft.it> 3.22.2-1mamba
- automatic version update by autodist

* Thu Oct 06 2016 Automatic Build System <autodist@mambasoft.it> 3.22.1-1mamba
- automatic version update by autodist

* Thu Apr 28 2016 Automatic Build System <autodist@mambasoft.it> 3.21.1-1mamba
- automatic version update by autodist

* Tue Apr 19 2016 Silvan Calarco <silvan.calarco@mambasoft.it> 3.20.3-2mamba
- rebuilt with --enable-wayland-backend (needed by gst-plugins-bad 1.8.0)

* Wed Apr 13 2016 Automatic Build System <autodist@mambasoft.it> 3.20.3-1mamba
- automatic version update by autodist

* Thu Mar 31 2016 Automatic Build System <autodist@mambasoft.it> 3.20.2-1mamba
- automatic version update by autodist

* Sat Mar 26 2016 Automatic Build System <autodist@mambasoft.it> 3.20.1-1mamba
- automatic version update by autodist

* Thu Mar 24 2016 Automatic Build System <autodist@mambasoft.it> 3.20.0-1mamba
- automatic version update by autodist

* Fri Mar 11 2016 Silvan Calarco <silvan.calarco@mambasoft.it> 3.18.9-2mamba
- rebuilt by autoport with build requirements: libcolord-devel>=1.2.12-1mamba

* Thu Mar 10 2016 Automatic Build System <autodist@mambasoft.it> 3.18.9-1mamba
- automatic version update by autodist

* Thu Feb 25 2016 Automatic Build System <autodist@mambasoft.it> 3.18.8-1mamba
- automatic version update by autodist

* Thu Jan 28 2016 Automatic Build System <autodist@mambasoft.it> 3.18.7-1mamba
- automatic version update by autodist

* Sat Dec 05 2015 Automatic Build System <autodist@mambasoft.it> 3.18.6-1mamba
- automatic version update by autodist

* Tue Nov 17 2015 Automatic Build System <autodist@mambasoft.it> 3.18.5-1mamba
- automatic version update by autodist

* Sun Nov 15 2015 Automatic Build System <autodist@mambasoft.it> 3.18.4-1mamba
- automatic version update by autodist

* Fri Sep 18 2015 Automatic Build System <autodist@mambasoft.it> 3.16.7-1mamba
- automatic version update by autodist

* Tue Jul 21 2015 Automatic Build System <autodist@mambasoft.it> 3.16.6-1mamba
- automatic version update by autodist

* Wed Jul 08 2015 Automatic Build System <autodist@mambasoft.it> 3.16.5-1mamba
- automatic version update by autodist

* Thu Jun 11 2015 Automatic Build System <autodist@mambasoft.it> 3.16.4-1mamba
- automatic version update by autodist

* Tue May 12 2015 Automatic Build System <autodist@mambasoft.it> 3.16.3-1mamba
- automatic version update by autodist

* Mon Apr 20 2015 Silvan Calarco <silvan.calarco@mambasoft.it> 3.16.2-1mamba
- update to 3.16.2

* Fri Mar 20 2015 Automatic Build System <autodist@mambasoft.it> 3.14.9-1mamba
- automatic update by autodist

* Sun Feb 01 2015 Automatic Build System <autodist@mambasoft.it> 3.14.8-1mamba
- automatic version update by autodist

* Sun Jan 11 2015 Automatic Build System <autodist@mambasoft.it> 3.14.7-1mamba
- automatic version update by autodist

* Sat Dec 13 2014 Automatic Build System <autodist@mambasoft.it> 3.14.6-1mamba
- automatic version update by autodist

* Mon Nov 10 2014 Automatic Build System <autodist@mambasoft.it> 3.14.5-1mamba
- automatic version update by autodist

* Wed Oct 22 2014 Automatic Build System <autodist@mambasoft.it> 3.14.4-1mamba
- automatic version update by autodist

* Tue Oct 14 2014 Automatic Build System <autodist@mambasoft.it> 3.14.3-1mamba
- automatic version update by autodist

* Wed Oct 08 2014 Automatic Build System <autodist@mambasoft.it> 3.14.2-1mamba
- automatic version update by autodist

* Thu Oct 02 2014 Automatic Build System <autodist@mambasoft.it> 3.14.1-1mamba
- automatic version update by autodist

* Tue Apr 29 2014 Automatic Build System <autodist@mambasoft.it> 3.13.1-1mamba
- automatic version update by autodist

* Sat Apr 12 2014 Automatic Build System <autodist@mambasoft.it> 3.12.1-1mamba
- automatic version update by autodist

* Tue Apr 01 2014 Automatic Build System <autodist@mambasoft.it> 3.12.0-1mamba
- automatic version update by autodist

* Tue Jan 28 2014 Automatic Build System <autodist@mambasoft.it> 3.10.7-1mamba
- automatic version update by autodist

* Thu Dec 05 2013 Automatic Build System <autodist@mambasoft.it> 3.10.6-1mamba
- automatic version update by autodist

* Wed Nov 27 2013 Automatic Build System <autodist@mambasoft.it> 3.10.5-1mamba
- automatic version update by autodist

* Sat Nov 16 2013 Automatic Build System <autodist@mambasoft.it> 3.10.4-1mamba
- automatic version update by autodist

* Mon Nov 11 2013 Automatic Build System <autodist@mambasoft.it> 3.10.3-1mamba
- automatic version update by autodist

* Tue Oct 29 2013 Automatic Build System <autodist@mambasoft.it> 3.10.2-1mamba
- automatic version update by autodist

* Sat Aug 31 2013 Automatic Build System <autodist@mambasoft.it> 3.8.4-1mamba
- automatic version update by autodist

* Mon May 13 2013 Automatic Build System <autodist@mambasoft.it> 3.8.2-1mamba
- automatic version update by autodist

* Tue Apr 16 2013 Automatic Build System <autodist@mambasoft.it> 3.8.1-1mamba
- automatic version update by autodist

* Wed Mar 27 2013 Automatic Build System <autodist@mambasoft.it> 3.8.0-1mamba
- automatic version update by autodist

* Mon Jan 07 2013 Automatic Build System <autodist@mambasoft.it> 3.6.4-1mamba
- automatic version update by autodist

* Fri Jan 04 2013 Automatic Build System <autodist@mambasoft.it> 3.6.3-1mamba
- automatic version update by autodist

* Fri Dec 07 2012 Automatic Build System <autodist@mambasoft.it> 3.6.2-1mamba
- automatic version update by autodist

* Tue Oct 16 2012 Automatic Build System <autodist@mambasoft.it> 3.6.1-1mamba
- automatic version update by autodist

* Thu Sep 27 2012 Automatic Build System <autodist@mambasoft.it> 3.6.0-1mamba
- automatic version update by autodist

* Mon Aug 06 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 3.4.4-2mamba
- require shared-mime-info; if missing all images and more will be broken

* Sun Jul 15 2012 Automatic Build System <autodist@mambasoft.it> 3.4.4-1mamba
- automatic version update by autodist

* Sat May 12 2012 Automatic Build System <autodist@mambasoft.it> 3.4.3-1mamba
- automatic version update by autodist

* Thu May 03 2012 Automatic Build System <autodist@mambasoft.it> 3.4.2-1mamba
- automatic version update by autodist

* Sat Apr 14 2012 Automatic Build System <autodist@mambasoft.it> 3.4.1-1mamba
- automatic version update by autodist

* Tue Apr 03 2012 Automatic Build System <autodist@mambasoft.it> 3.4.0-1mamba
- automatic version update by autodist

* Wed Nov 09 2011 Automatic Build System <autodist@mambasoft.it> 3.3.2-1mamba
- automatic version update by autodist

* Sat Oct 15 2011 Automatic Build System <autodist@mambasoft.it> 3.2.1-1mamba
- automatic version update by autodist

* Mon Oct 03 2011 Automatic Build System <autodist@mambasoft.it> 3.2.0-1mamba
- automatic version update by autodist

* Thu Jul 28 2011 Automatic Build System <autodist@mambasoft.it> 3.0.12-1mamba
- automatic update by autodist

* Mon Jul 25 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 3.0.11-2mamba
- rename dconf requirement into glib-dconf

* Sun Jun 26 2011 Automatic Build System <autodist@mambasoft.it> 3.0.11-1mamba
- update to 3.0.11

* Mon May 23 2011 Automatic Build System <autodist@mambasoft.it> 3.0.10-1mamba
- automatic update by autodist

* Sat Apr 16 2011 Automatic Build System <autodist@mambasoft.it> 3.0.9-1mamba
- automatic update by autodist

* Mon Apr 11 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 3.0.8-1mamba
- update to 3.0.8
- renamed from libgtk3 to libgtk

* Mon Mar 14 2011 Automatic Build System <autodist@mambasoft.it> 3.0.2-1mamba
- automatic update by autodist

* Fri Feb 25 2011 Automatic Build System <autodist@mambasoft.it> 3.0.1-1mamba
- automatic update by autodist

* Mon Feb 14 2011 gil <puntogil@libero.it> 3.0.0-1mamba
- update to 3.0.0

* Sun Jan 30 2011 gil <puntogil@libero.it> 2.99.2-1mamba
- update to 2.99.2

* Mon Dec 06 2010 gil <puntogil@libero.it> 2.91.5-1mamba
- update to 2.91.5
- rename libgtk3

* Mon Nov 15 2010 Automatic Build System <autodist@mambasoft.it> 2.22.1-1mamba
- automatic update to 2.22.1 by autodist

* Mon Oct 04 2010 Silvan Calarco <silvan.calarco@mambasoft.it> 2.22.0-1mamba
- update to 2.22.0

* Fri Jul 02 2010 Silvan Calarco <silvan.calarco@mambasoft.it> 2.20.1-5mamba
- rebuilt with libpng 1.4

* Fri Jun 25 2010 Automatic Build System <autodist@mambasoft.it> 2.20.1-4mamba
- automatic rebuild by autodist

* Fri Jun 18 2010 Silvan Calarco <silvan.calarco@mambasoft.it> 2.20.1-3mamba
- fixed typo in posttrans script
- added PreReq for libglib

* Sat May 22 2010 Silvan Calarco <silvan.calarco@mambasoft.it> 2.20.1-2mamba
- added posttrans script to double check that modules files are not null

* Mon May 03 2010 Automatic Build System <autodist@mambasoft.it> 2.20.1-1mamba
- automatic update to 2.20.1 by autodist

* Fri Apr 02 2010 Automatic Build System <autodist@mambasoft.it> 2.20.0-1mamba
- automatic update to 2.20.0 by autodist

* Wed Mar 17 2010 Automatic Build System <autodist@mambasoft.it> 2.18.9-1mamba
- automatic update to 2.18.9 by autodist

* Tue Mar 16 2010 Automatic Build System <autodist@mambasoft.it> 2.18.8-1mamba
- automatic update to 2.18.8 by autodist

* Sun Mar 14 2010 Automatic Build System <autodist@mambasoft.it> 2.18.7-1mamba
- automatic update to 2.18.7 by autodist

* Mon Feb 01 2010 Silvan Calarco <silvan.calarco@mambasoft.it> 2.18.6-3mamba
- added (brutal) patch to fix crash with nautilus and lxpanel

* Sat Jan 30 2010 Silvan Calarco <silvan.calarco@mambasoft.it> 2.18.6-2mamba
- rebuilt with debug package

* Tue Jan 12 2010 Automatic Build System <autodist@mambasoft.it> 2.18.6-1mamba
- automatic update to 2.18.6 by autodist

* Wed Dec 09 2009 Automatic Build System <autodist@mambasoft.it> 2.18.5-1mamba
- automatic update to 2.18.5 by autodist

* Tue Dec 01 2009 Automatic Build System <autodist@mambasoft.it> 2.18.4-1mamba
- automatic update to 2.18.4 by autodist

* Sat Oct 17 2009 Automatic Build System <autodist@mambasoft.it> 2.18.3-1mamba
- automatic update to 2.18.3 by autodist

* Tue Oct 06 2009 Automatic Build System <autodist@mambasoft.it> 2.18.2-1mamba
- automatic update to 2.18.2 by autodist

* Thu Oct 01 2009 Automatic Build System <autodist@mambasoft.it> 2.18.1-1mamba
- automatic update to 2.18.1 by autodist

* Sun Sep 27 2009 Automatic Build System <autodist@mambasoft.it> 2.18.0-1mamba
- automatic update to 2.18.0 by autodist

* Fri Sep 11 2009 Automatic Build System <autodist@mambasoft.it> 2.16.6-1mamba
- automatic update to 2.16.6 by autodist

* Sat Jul 18 2009 Automatic Build System <autodist@mambasoft.it> 2.16.5-1mamba
- automatic update to 2.16.5 by autodist

* Mon Jul 06 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 2.16.4-3mamba
- added better patch to prevent loss of events (e.g. cut/paste)

* Thu Jul 02 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 2.16.4-2mamba
- added gdk_x11_atom_to_xatom_for_display_tra patch (http://bugzilla.gnome.org/show_bug.cgi?id=580511)

* Thu Jul 02 2009 Automatic Build System <autodist@mambasoft.it> 2.16.4-1mamba
- automatic update to 2.16.4 by autodist

* Sun Jun 28 2009 Automatic Build System <autodist@mambasoft.it> 2.16.3-1mamba
- automatic update to 2.16.3 by autodist

* Sun Jun 07 2009 Automatic Build System <autodist@mambasoft.it> 2.16.2-1mamba
- automatic update to 2.16.2 by autodist

* Wed May 20 2009 Automatic Build System <autodist@mambasoft.it> 2.16.1-2mamba
- automatic rebuild by autodist

* Sun Apr 12 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 2.16.1-1mamba
- automatic update to 2.16.1 by autodist

* Thu Mar 19 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 2.16.0-1mamba
- automatic update to 2.16.0 by autodist

* Thu Jan 08 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 2.14.7-1mamba
- automatic update to 2.14.7 by autodist

* Tue Dec 16 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 2.14.6-1mamba
- automatic update to 2.14.6 by autodist

* Tue Nov 25 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 2.14.5-1mamba
- automatic update to 2.14.5 by autodist

* Fri Nov 14 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 2.14.4-2mamba
- libgtk-devel: added requirement for libcairo-devel

* Sat Oct 18 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 2.14.4-1mamba
- automatic update to 2.14.4 by autodist

* Fri Sep 26 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 2.14.3-1mamba
- automatic update to 2.14.3 by autodist

* Fri Sep 19 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 2.14.2-1mamba
- automatic update to 2.14.2 by autodist

* Fri Jul 04 2008 gil <puntogil@libero.it> 2.12.11-1mamba
- update to 2.12.11
- build with: glib-2.16.4-1mamba

* Thu Mar 13 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 2.12.9-1mamba
- update to 2.12.9

* Sat Dec 01 2007 Silvan Calarco <silvan.calarco@mambasoft.it> 2.12.2-1mamba
- update to 2.12.2
- fix %%{includedir}/gtk related entries in devel files list

* Thu Sep 27 2007 Silvan Calarco <silvan.calarco@mambasoft.it> 2.12.0-2mamba
- added workaround for flash plugin crash in konqueror and opera

* Wed Sep 26 2007 Silvan Calarco <silvan.calarco@mambasoft.it> 2.12.0-1mamba
- update to 2.12.0

* Mon Mar 26 2007 Davide Madrisan <davide.madrisan@qilinux.it> 2.10.11-1qilnx
- update to version 2.10.11 by autospec

* Tue Jan 23 2007 Davide Madrisan <davide.madrisan@qilinux.it> 2.10.9-1qilnx
- update to version 2.10.9 by autospec

* Fri Jan 05 2007 Davide Madrisan <davide.madrisan@qilinux.it> 2.10.6-2qilnx
- new package for API documentation

* Thu Jan 04 2007 Davide Madrisan <davide.madrisan@qilinux.it> 2.10.6-1qilnx
- update to version 2.10.6 by autospec
- updated Xorg build requirements
- added build requirement for cups

* Tue Jul 04 2006 Davide Madrisan <davide.madrisan@qilinux.it> 2.8.17-4qilnx
- create gdk-pixbuf.loaders and gtk.immodules during package upgrade

* Thu May 25 2006 Silvan Calarco <silvan.calarco@mambasoft.it> 2.8.17-3qilnx
- make symlink /usr/include/gtk point to /usr/include/gtk-2.0 simply

* Wed May 24 2006 Silvan Calarco <silvan.calarco@mambasoft.it> 2.8.17-2qilnx
- add /usr/include/gtk symlink pointing to /usr/include/gtk-2.0/gtk

* Thu Apr 27 2006 Davide Madrisan <davide.madrisan@qilinux.it> 2.8.17-1qilnx
- update to version 2.8.17 by autospec

* Sun Mar 19 2006 Silvan Calarco <silvan.calarco@mambasoft.it> 2.8.16-1qilnx
- update to version 2.8.16 by autospec
- added libgtk2 and gtk2 provides for compatibility with other distributions

* Mon Mar 13 2006 Davide Madrisan <davide.madrisan@qilinux.it> 2.8.14-1qilnx
- update to version 2.8.14 by autospec

* Tue Nov 29 2005 Davide Madrisan <davide.madrisan@qilinux.it> 2.8.8-1qilnx
- update to version 2.8.8 by autospec

* Mon Nov 21 2005 Davide Madrisan <davide.madrisan@qilinux.it> 2.8.7-1qilnx
- update to version 2.8.7 by autospec

* Fri Oct 28 2005 Davide Madrisan <davide.madrisan@qilinux.it> 2.8.6-2qilnx
- %{_bindir}/gdk-pixbuf-csource executable moved to devel package
- %{_libdir}/gtk-2.0/include moved to devel package
- gtk documentation moved to devel package
- man pages moved to devel package
- use %%find_lang

* Tue Oct 04 2005 Davide Madrisan <davide.madrisan@qilinux.it> 2.8.6-1qilnx
- update to version 2.8.6 by autospec

* Wed Sep 28 2005 Davide Madrisan <davide.madrisan@qilinux.it> 2.8.4-1qilnx
- update to version 2.8.4 by autospec

* Wed Sep 14 2005 Alessandro Ramazzina <alessandro.ramazzina@qilinux.it> 2.8.3-1qilnx
- update to version 2.8.3 by autospec

* Wed Aug 10 2005 Davide Madrisan <davide.madrisan@qilinux.it> 2.6.9-1qilnx
- update to version 2.6.9 by autospec

* Fri Jun 17 2005 Davide Madrisan <davide.madrisan@qilinux.it> 2.6.8-1qilnx
- update to version 2.6.8 by autospec

* Thu Apr 14 2005 Davide Madrisan <davide.madrisan@qilinux.it> 2.6.7-1qilnx
- update to version 2.6.7 by autospec

* Tue Apr 12 2005 Davide Madrisan <davide.madrisan@qilinux.it> 2.6.6-1qilnx
- update to version 2.6.6 by autospec

* Tue Apr 12 2005 Davide Madrisan <davide.madrisan@qilinux.it> 2.6.0-2qilnx
- fix security issue QSA-2005-040 (CAN-2005-0891)
- specfile updates
- added missing build requirements

* Mon Dec 20 2004 Silvan Calarco <silvan.calarco@mambasoft.it> 2.6.0-1qilnx
- update to version 2.6.0 by autospec

* Tue Jul 13 2004 Silvan Calarco <silvan.calarco@mambasoft.it> 2.4.4-1qilnx
- new version build

* Mon Jun 28 2004 Silvan Calarco <silvan.calarco@mambasoft.it> 2.4.3-3qilnx
- added missing %%defattr for devel package

* Tue Jun 22 2004 Silvan Calarco <silvan.calarco@mambasoft.it> 2.4.3-2qilnx
- added creation of gtk.immodules on %%post and %%postun scripts

* Tue Jun 22 2004 Silvan Calarco <silvan.calarco@mambasoft.it> 2.4.3-1qilnx
- new version build

* Fri Nov 21 2003 Silvan Calarco <silvan.calarco@mambasoft.it> 2.2.4-3qilnx
- moved /usr/share/gtk-2.0/demo files from devel to main package

* Mon Nov 03 2003 Silvan Calarco <silvan.calarco@mambasoft.it> 2.2.4-2qilnx
- removed XFree-pkgconfig dependancy now that libfontconfig is stand-alone

* Mon Oct 27 2003 Silvan Calarco <silvan.calarco@mambasoft.it> 2.2.4-1qilnx
- new version rebuild

* Fri Jun 13 2003 Silvan Calarco <silvan.calarco@qinet.it> 2.2.1-2qilnx
- added devel package requirements
- added gdk-pixbuf.loaders automatic creation

* Fri Jun 13 2003 Silvan Calarco <silvan.calarco@qinet.it> 2.2.1-1qilnx
- creation of gtk package
